<center>
<h1><?_("Configure automatic expiry of old messages")></h1>
<h2><?_("These settings may be overridden on a per-floor or per-room basis.")></h2>
</center>
<table border="0">

<tr><td><?_("Hour to run database auto-purge")></td><td>
<select NAME="c_purge_hour" SIZE="1">
<?!("COND:PREF", 1, "calhourformat", 24)>
<OPTION <?%("COND:SERVCFG", 1, "c_purge_hour", 0,  'selected="selected"', "")> VALUE='00'> 0:00</OPTION>
<OPTION <?%("COND:SERVCFG", 1, "c_purge_hour", 1,  'selected="selected"', "")> VALUE='01'> 1:00</OPTION>
<OPTION <?%("COND:SERVCFG", 1, "c_purge_hour", 2,  'selected="selected"', "")> VALUE='02'> 2:00</OPTION>
<OPTION <?%("COND:SERVCFG", 1, "c_purge_hour", 3,  'selected="selected"', "")> VALUE='03'> 3:00</OPTION>
<OPTION <?%("COND:SERVCFG", 1, "c_purge_hour", 4,  'selected="selected"', "")> VALUE='04'> 4:00</OPTION>
<OPTION <?%("COND:SERVCFG", 1, "c_purge_hour", 5,  'selected="selected"', "")> VALUE='05'> 5:00</OPTION>
<OPTION <?%("COND:SERVCFG", 1, "c_purge_hour", 6,  'selected="selected"', "")> VALUE='06'> 6:00</OPTION>
<OPTION <?%("COND:SERVCFG", 1, "c_purge_hour", 7,  'selected="selected"', "")> VALUE='07'> 7:00</OPTION>
<OPTION <?%("COND:SERVCFG", 1, "c_purge_hour", 8,  'selected="selected"', "")> VALUE='08'> 8:00</OPTION>
<OPTION <?%("COND:SERVCFG", 1, "c_purge_hour", 9,  'selected="selected"', "")> VALUE='09'> 9:00</OPTION>
<OPTION <?%("COND:SERVCFG", 1, "c_purge_hour", 10, 'selected="selected"', "")> VALUE='10'>10:00</OPTION>
<OPTION <?%("COND:SERVCFG", 1, "c_purge_hour", 11, 'selected="selected"', "")> VALUE='11'>11:00</OPTION>
<OPTION <?%("COND:SERVCFG", 1, "c_purge_hour", 12, 'selected="selected"', "")> VALUE='12'>12:00</OPTION>
<OPTION <?%("COND:SERVCFG", 1, "c_purge_hour", 13, 'selected="selected"', "")> VALUE='13'>13:00</OPTION>
<OPTION <?%("COND:SERVCFG", 1, "c_purge_hour", 14, 'selected="selected"', "")> VALUE='14'>14:00</OPTION>
<OPTION <?%("COND:SERVCFG", 1, "c_purge_hour", 15, 'selected="selected"', "")> VALUE='15'>15:00</OPTION>
<OPTION <?%("COND:SERVCFG", 1, "c_purge_hour", 16, 'selected="selected"', "")> VALUE='16'>16:00</OPTION>
<OPTION <?%("COND:SERVCFG", 1, "c_purge_hour", 17, 'selected="selected"', "")> VALUE='17'>17:00</OPTION>
<OPTION <?%("COND:SERVCFG", 1, "c_purge_hour", 18, 'selected="selected"', "")> VALUE='18'>18:00</OPTION>
<OPTION <?%("COND:SERVCFG", 1, "c_purge_hour", 19, 'selected="selected"', "")> VALUE='19'>19:00</OPTION>
<OPTION <?%("COND:SERVCFG", 1, "c_purge_hour", 20, 'selected="selected"', "")> VALUE='20'>20:00</OPTION>
<OPTION <?%("COND:SERVCFG", 1, "c_purge_hour", 21, 'selected="selected"', "")> VALUE='21'>21:00</OPTION>
<OPTION <?%("COND:SERVCFG", 1, "c_purge_hour", 22, 'selected="selected"', "")> VALUE='22'>22:00</OPTION>
<OPTION <?%("COND:SERVCFG", 1, "c_purge_hour", 23, 'selected="selected"', "")> VALUE='23'>23:00</OPTION>
<?!("X", 1)>
<??("COND:PREF", 2, "calhourformat", 24)>
<OPTION <?%("COND:SERVCFG", 1, "c_purge_hour", 0,  'selected="selected"', "")> VALUE='00'>12:00 am</OPTION>
<OPTION <?%("COND:SERVCFG", 1, "c_purge_hour", 1,  'selected="selected"', "")> VALUE='01'> 1:00 am</OPTION>
<OPTION <?%("COND:SERVCFG", 1, "c_purge_hour", 2,  'selected="selected"', "")> VALUE='02'> 2:00 am</OPTION>
<OPTION <?%("COND:SERVCFG", 1, "c_purge_hour", 3,  'selected="selected"', "")> VALUE='03'> 3:00 am</OPTION>
<OPTION <?%("COND:SERVCFG", 1, "c_purge_hour", 4,  'selected="selected"', "")> VALUE='04'> 4:00 am</OPTION>
<OPTION <?%("COND:SERVCFG", 1, "c_purge_hour", 5,  'selected="selected"', "")> VALUE='05'> 5:00 am</OPTION>
<OPTION <?%("COND:SERVCFG", 1, "c_purge_hour", 6,  'selected="selected"', "")> VALUE='06'> 6:00 am</OPTION>
<OPTION <?%("COND:SERVCFG", 1, "c_purge_hour", 7,  'selected="selected"', "")> VALUE='07'> 7:00 am</OPTION>
<OPTION <?%("COND:SERVCFG", 1, "c_purge_hour", 8,  'selected="selected"', "")> VALUE='08'> 8:00 am</OPTION>
<OPTION <?%("COND:SERVCFG", 1, "c_purge_hour", 9,  'selected="selected"', "")> VALUE='08'> 9:00 am</OPTION>
<OPTION <?%("COND:SERVCFG", 1, "c_purge_hour", 10, 'selected="selected"', "")> VALUE='10'>10:00 am</OPTION>
<OPTION <?%("COND:SERVCFG", 1, "c_purge_hour", 11, 'selected="selected"', "")> VALUE='11'>11:00 am</OPTION>
<OPTION <?%("COND:SERVCFG", 1, "c_purge_hour", 12, 'selected="selected"', "")> VALUE='12'>12:00 pm</OPTION>
<OPTION <?%("COND:SERVCFG", 1, "c_purge_hour", 13, 'selected="selected"', "")> VALUE='13'> 1:00 pm</OPTION>
<OPTION <?%("COND:SERVCFG", 1, "c_purge_hour", 14, 'selected="selected"', "")> VALUE='14'> 2:00 pm</OPTION>
<OPTION <?%("COND:SERVCFG", 1, "c_purge_hour", 15, 'selected="selected"', "")> VALUE='15'> 3:00 pm</OPTION>
<OPTION <?%("COND:SERVCFG", 1, "c_purge_hour", 16, 'selected="selected"', "")> VALUE='16'> 4:00 pm</OPTION>
<OPTION <?%("COND:SERVCFG", 1, "c_purge_hour", 17, 'selected="selected"', "")> VALUE='17'> 5:00 pm</OPTION>
<OPTION <?%("COND:SERVCFG", 1, "c_purge_hour", 18, 'selected="selected"', "")> VALUE='18'> 6:00 pm</OPTION>
<OPTION <?%("COND:SERVCFG", 1, "c_purge_hour", 19, 'selected="selected"', "")> VALUE='19'> 7:00 pm</OPTION>
<OPTION <?%("COND:SERVCFG", 1, "c_purge_hour", 20, 'selected="selected"', "")> VALUE='20'> 8:00 pm</OPTION>
<OPTION <?%("COND:SERVCFG", 1, "c_purge_hour", 21, 'selected="selected"', "")> VALUE='21'> 9:00 pm</OPTION>
<OPTION <?%("COND:SERVCFG", 1, "c_purge_hour", 22, 'selected="selected"', "")> VALUE='22'>10:00 pm</OPTION>
<OPTION <?%("COND:SERVCFG", 1, "c_purge_hour", 23, 'selected="selected"', "")> VALUE='23'>11:00 pm</OPTION>
<??("X", 2)>
</select></td></tr>

<tr><td COLSPAN=2>
<hr />
</td></tr>

<tr><td><?_("Default message expire policy for public rooms")></td><td>
<input type="radio" NAME="sitepolicy" VALUE="1" <?%("COND:SERVCFG", 1, "sitepolicy", 1, "CHECKED", "")>>
<?_("Never automatically expire messages")>
<br />
<input type="radio" NAME="sitepolicy" VALUE="2" <?%("COND:SERVCFG", 1, "sitepolicy", 2, "CHECKED", "")>>
<?_("Expire by message count")><br />
<input type="radio" NAME="sitepolicy" VALUE="3" <?%("COND:SERVCFG", 1, "sitepolicy", 3, "CHECKED", "")>>
<?_("Expire by message age")>
<br />
<?_("Number of messages or days: ")>
<input type="text" NAME="sitevalue" MAXLENGTH="5" VALUE='<?SERV:CFG("sitevalue")>'>
</td></tr>

<tr><td COLSPAN=2><hr /></td></tr>

<tr><td><?_("Default message expire policy for private mailboxes")></td><td>
<input type="radio" NAME="mboxpolicy" VALUE="0" <?%("COND:SERVCFG", 1, "mboxpolicy", 0, "CHECKED", "")>>
<?_("Same policy as public rooms")>
<br />
<input type="radio" NAME="mboxpolicy" VALUE="1" <?%("COND:SERVCFG", 1, "mboxpolicy", 1, "CHECKED", "")>>
<?_("Never automatically expire messages")>
<br />
<input type="radio" NAME="mboxpolicy" VALUE="2" <?%("COND:SERVCFG", 1, "mboxpolicy", 2, "CHECKED", "")>>
<?_("Expire by message count")>
<br />
<input type="radio" NAME="mboxpolicy" VALUE="3" <?%("COND:SERVCFG", 1, "mboxpolicy", 3, "CHECKED", "")>>
<?_("Expire by message age")>
<br />
<?_("Number of messages or days: ")>
<input type="text" NAME="mboxvalue" MAXLENGTH="5" VALUE='<?SERV:CFG("mboxvalue")>'>
</td></tr>

<tr><td COLSPAN=2><hr /></td></tr>

</table>
